# _thread.h File Reference

Go to the source code of this file.

## Classes

class | ReadWriteLock
class | Mutex
class | Condition

## Defines

#define | __USE_GNU
#define | THREAD_ENTRYPOINT

## Functions

void | Yield (void)

## Define Documentation

#define __USE_GNU

======================================================================== Extended Template and Library Thread Abstraction Class Implementation $Id$

Copyright (c) 2002 Robert B. Quattlebaum Jr.

This package is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

This package is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

=== N O T E S ===========================================================

This is an internal header file, included by other ETL headers. You should not attempt to use it directly.

=========================================================================

Definition at line 32 of file _thread.h.

#define THREAD_ENTRYPOINT

Definition at line 52 of file _thread.h.

## Function Documentation

void Yield | ( | void |  | ) | `[inline]`

Definition at line 66 of file _thread.h.

Referenced by Condition::Wait(), condition::wait(), condition::wait_next(), and Condition::WaitNext().